Bug 1468251 - [RFE][TD] Create and use Prometheus Metrics Ruby client
[RFE][TD] Create and use Prometheus Metrics Ruby client
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.9.0
Assigned To: Yaacov Zamir
Shalom Naim
container
: FutureFeature
Depends On:
Blocks: 1461969
  Show dependency treegraph
 
Reported: 2017-07-06 09:07 EDT by Yaacov Zamir
Modified: 2017-09-18 08:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)

  None (edit)
Description Yaacov Zamir 2017-07-06 09:07:07 EDT
Description of problem:

We use faraday gem to collect metrics and buffered-allerts from prometheus

We should use a prometheus specialized gem to collect metrics and buffered-allerts from prometheus tsdb.

Additional info:

such a gem does not exist at this time, the prometheus team agread to look at a gem we make and consider adopting it.
Comment 3 Yaacov Zamir 2017-09-04 04:12:35 EDT
created a gem:
https://github.com/yaacov/prometheus_api_client_ruby

Note You need to log in before you can comment on or make changes to this bug.